ドキュメント

​
​

Development

User Acquisition

Monetization

産業

Vivox Moderation APIs API

v1

サポート対象
​

Vivox Moderation APIs API

v1

サポート対象
​

このページは選択した言語では使用できません。
Unity Services Web APIs
​
​
Vivox Moderation API
  • Overview
mdx:openapi:endpoints
  • Vivox Channel Kick
  • Vivox Channel Kick All
  • Vivox Channel Mute
  • Vivox Channel Mute All
  • Vivox Channel Unmute
  • Vivox Channel Unmute All
  • Vivox Server Kick

Vivox Moderation API

Overview

The Vivox Moderation API allows users to moderate Vivox Voice and Text channels in real-time.
For more information about Vivox Voice and Text Services, refer to our documentation.
Request access to these APIs from a Vivox technical account manager or by submitting a request to Vivox Support.
Download OpenAPI specification:

Kick a user from all channels


Provide a Vivox user uri to kick the game user from all Vivox channels.
Authorizations
ServiceAccount (Vivox Moderator)
HTTP: ServiceAccount
To get started with authentication, visit the Service Account Authentication section.
HTTP Authorization Scheme: basic
Required scopes: Vivox Moderator

Path parameters for "{title}"

organizationId

string
必須
ID of the organization

projectId

string
必須
ID of the project

Request body for "{title}"

Media Type:
application/json

user_uri

string
The URI of the user to kick

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X POST \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ -H "Content-Type: application/json" \ -d '{ "user_uri": "string"}' \ "https://services.api.unity.com/vivox/v1/organizations/{organizationId}/projects/{projectId}/server-kick"

Response example

{ "title": "Bad Request", "detail": "Invalid target URI", "status": 400, "details": [ "string", "string" ]}

Kick a user from a channel


Kick a user from a single channel by providing the channel URI and the user URI.
Authorizations
ServiceAccount (Vivox Moderator)
HTTP: ServiceAccount
To get started with authentication, visit the Service Account Authentication section.
HTTP Authorization Scheme: basic
Required scopes: Vivox Moderator

Path parameters for "{title}"

organizationId

string
必須
ID of the organization

projectId

string
必須
ID of the project

Request body for "{title}"

Media Type:
application/json

user_uri

string
The URI of the user to kick

chan_uri

string
The URI of the channel to moderate

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X POST \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ -H "Content-Type: application/json" \ -d '{ "user_uri": "string", "chan_uri": "string"}' \ "https://services.api.unity.com/vivox/v1/organizations/{organizationId}/projects/{projectId}/kick"

Response example

{ "title": "Bad Request", "detail": "Invalid target URI", "status": 400, "details": [ "string", "string" ]}

Kick all users from a channel


Kick all users from a channel by providing the channel URI.
Authorizations
ServiceAccount (Vivox Moderator)
HTTP: ServiceAccount
To get started with authentication, visit the Service Account Authentication section.
HTTP Authorization Scheme: basic
Required scopes: Vivox Moderator

Path parameters for "{title}"

organizationId

string
必須
ID of the organization

projectId

string
必須
ID of the project

Request body for "{title}"

Media Type:
application/json

chan_uri

string
The URI of the channel to moderate

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X POST \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ -H "Content-Type: application/json" \ -d '{ "chan_uri": "string"}' \ "https://services.api.unity.com/vivox/v1/organizations/{organizationId}/projects/{projectId}/kick-all"

Response example

{ "title": "Bad Request", "detail": "Invalid target URI", "status": 400, "details": [ "string", "string" ]}

Mute a user in a channel


Mute a user in a channel by providing the channel URI and the user URI.
Authorizations
ServiceAccount (Vivox Moderator)
HTTP: ServiceAccount
To get started with authentication, visit the Service Account Authentication section.
HTTP Authorization Scheme: basic
Required scopes: Vivox Moderator

Path parameters for "{title}"

organizationId

string
必須
ID of the organization

projectId

string
必須
ID of the project

Request body for "{title}"

Media Type:
application/json

user_uri

string
The URI of the user to kick

chan_uri

string
The URI of the channel to moderate

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X POST \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ -H "Content-Type: application/json" \ -d '{ "user_uri": "string", "chan_uri": "string"}' \ "https://services.api.unity.com/vivox/v1/organizations/{organizationId}/projects/{projectId}/mute"

Response example

{ "title": "Bad Request", "detail": "Invalid target URI", "status": 400, "details": [ "string", "string" ]}

Unmute a user in a channel


Unmute a user in a channel by providing the channel URI and the user URI.
Authorizations
ServiceAccount (Vivox Moderator)
HTTP: ServiceAccount
To get started with authentication, visit the Service Account Authentication section.
HTTP Authorization Scheme: basic
Required scopes: Vivox Moderator

Path parameters for "{title}"

organizationId

string
必須
ID of the organization

projectId

string
必須
ID of the project

Request body for "{title}"

Media Type:
application/json

user_uri

string
The URI of the user to kick

chan_uri

string
The URI of the channel to moderate

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X POST \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ -H "Content-Type: application/json" \ -d '{ "user_uri": "string", "chan_uri": "string"}' \ "https://services.api.unity.com/vivox/v1/organizations/{organizationId}/projects/{projectId}/unmute"

Response example

{ "title": "Bad Request", "detail": "Invalid target URI", "status": 400, "details": [ "string", "string" ]}

Mute all users in a channel


Mute all users in a channel by providing the channel URI.
Authorizations
ServiceAccount (Vivox Moderator)
HTTP: ServiceAccount
To get started with authentication, visit the Service Account Authentication section.
HTTP Authorization Scheme: basic
Required scopes: Vivox Moderator

Path parameters for "{title}"

organizationId

string
必須
ID of the organization

projectId

string
必須
ID of the project

Request body for "{title}"

Media Type:
application/json

chan_uri

string
The URI of the channel to moderate

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X POST \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ -H "Content-Type: application/json" \ -d '{ "chan_uri": "string"}' \ "https://services.api.unity.com/vivox/v1/organizations/{organizationId}/projects/{projectId}/mute-all"

Response example

{ "title": "Bad Request", "detail": "Invalid target URI", "status": 400, "details": [ "string", "string" ]}

Unmute all users in a channel


Unmute all users in a channel by providing the channel URI.
Authorizations
ServiceAccount (Vivox Moderator)
HTTP: ServiceAccount
To get started with authentication, visit the Service Account Authentication section.
HTTP Authorization Scheme: basic
Required scopes: Vivox Moderator

Path parameters for "{title}"

organizationId

string
必須
ID of the organization

projectId

string
必須
ID of the project

Request body for "{title}"

Media Type:
application/json

chan_uri

string
The URI of the channel to moderate

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X POST \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ -H "Content-Type: application/json" \ -d '{ "chan_uri": "string"}' \ "https://services.api.unity.com/vivox/v1/organizations/{organizationId}/projects/{projectId}/unmute-all"

Response example

{ "title": "Bad Request", "detail": "Invalid target URI", "status": 400, "details": [ "string", "string" ]}

Copyright © 2026 Unity Technologies
法規事項プライバシーポリシークッキーDocumentation Terms of Use私の個人情報を販売または共有しないプライバシーに関する選択 (クッキー設定)

"Unity" の名称、Unity のロゴ、およびその他の Unity の商標は、米国およびその他の国における Unity Technologies またはその関係会社の商標または登録商標です (詳しくはこちら)。その他の名称またはブランドは該当する所有者の商標です。

一部のページは利便性向上のため機械翻訳を使用しており、内容に不正確な表現が含まれる場合があります。内容に齟齬または不一致が生じた場合は、英語版を正本とします。